Submitted by carlo.daristotile on Wed, 01/15/2014 - 08:04
Forums:
dim tag1 as tag
tag1 = .........your code here to retreive the tag..........
dim TaggedObject1 as TaggedObject = NXOpen.Utilities.NXObjectManager.Get( tag1)
dim tag1 as tag
tag1 = .........your code here to retreive the tag..........
dim TaggedObject1 as TaggedObject = NXOpen.Utilities.NXObjectManager.Get( tag1)
This doesnt work for python.
There is no Utilities or NXObjectManager or Tag in python.So its not possible to get obj from tag(I guess).DO post if u find a way.
re: tag
The code in the first post is for VB.net. What function are you using in python that returned a tag?
I tried a lot of functions.
obj=NXOpen.Utilities.NXObjectManager.Get(objectTag)
face=NXOpen.TaggedObjectManager.GetTaggedObject(objectTag)
obj = NXObjectManager.Get(objTag)
obj=ufs.GetObjectManager(bodytag)
None of these worked in python. I remember reading somewhere ,this is a flaw in python API.